require_relative 'lib/demo_gem_tr/version'

Gem::Specification.new do |spec|
  spec.name          = "demo_gem_tr"
  spec.version       = DemoGemTr::VERSION
  spec.authors       = ["Muhammed Kılıç"]
  spec.email         = ["muhammeddkilicc@gmail.com"]

  spec.summary       = "Trying ruby gem creation."
  spec.description   = "This gem will practise some random echos."
  spec.homepage      = "https://rubygems.org"
  spec.license       = "MIT"
  spec.required_ruby_version = Gem::Requirement.new(">= 2.3.0")

  spec.metadata["allowed_push_host"] = "https://rubygems.org"

  spec.metadata["homepage_uri"] = spec.homepage
  spec.metadata["source_code_uri"] = "https://rubygems.org"
  spec.metadata["changelog_uri"] = "https://rubygems.org"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]
end
